> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get In Transit Summary

> Aggregate view of all in-transit shipment lines + active stock locations.



## OpenAPI

````yaml /api/openapi-cutmake.json get /api/v1/logistics/in-transit
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /api/v1/logistics/in-transit:
    get:
      tags:
        - Logistics
      summary: Get In Transit Summary
      description: >-
        Aggregate view of all in-transit shipment lines + active stock
        locations.
      operationId: get_in_transit_summary_api_v1_logistics_in_transit_get
      parameters:
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InTransitResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    InTransitResponse:
      properties:
        kpis:
          $ref: '#/components/schemas/InTransitKpis'
        locations:
          items:
            $ref: '#/components/schemas/InTransitLocationItem'
          type: array
          title: Locations
        lots:
          items:
            $ref: '#/components/schemas/InTransitLotItem'
          type: array
          title: Lots
      type: object
      required:
        - kpis
        - locations
        - lots
      title: InTransitResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InTransitKpis:
      properties:
        inTransitShipments:
          type: integer
          title: Intransitshipments
        inTransitLines:
          type: integer
          title: Intransitlines
        locationCount:
          type: integer
          title: Locationcount
        stockLotsReceived:
          type: integer
          title: Stocklotsreceived
      type: object
      required:
        - inTransitShipments
        - inTransitLines
        - locationCount
        - stockLotsReceived
      title: InTransitKpis
    InTransitLocationItem:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        locationType:
          type: string
          title: Locationtype
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        isActive:
          type: boolean
          title: Isactive
        pendingInbound:
          type: integer
          title: Pendinginbound
        pendingOutbound:
          type: integer
          title: Pendingoutbound
      type: object
      required:
        - id
        - name
        - locationType
        - isActive
        - pendingInbound
        - pendingOutbound
      title: InTransitLocationItem
    InTransitLotItem:
      properties:
        shipmentId:
          type: string
          title: Shipmentid
        shipmentDocumentId:
          type: string
          title: Shipmentdocumentid
        lineId:
          type: string
          title: Lineid
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        qty:
          anyOf:
            - type: number
            - type: 'null'
          title: Qty
        uom:
          anyOf:
            - type: string
            - type: 'null'
          title: Uom
        originLocationName:
          anyOf:
            - type: string
            - type: 'null'
          title: Originlocationname
        destinationLocationName:
          anyOf:
            - type: string
            - type: 'null'
          title: Destinationlocationname
        eta:
          anyOf:
            - type: string
            - type: 'null'
          title: Eta
        direction:
          type: string
          title: Direction
      type: object
      required:
        - shipmentId
        - shipmentDocumentId
        - lineId
        - direction
      title: InTransitLotItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /auth/login

````